//
//  InsuredInfoTopCell.m
//  Open
//
//  Created by 雷俊博 on 2019/12/18.
//  Copyright © 2019 黄江涛 . All rights reserved.
//

#import "InsuredInfoTopCell.h"


@interface InsuredInfoTopCell ()


@property (weak, nonatomic) IBOutlet UIView *backView;


@end
@implementation InsuredInfoTopCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
    self.backView.backgroundColor = K_MainColor;
    _cardView.layer.shadowColor = K_MainColor.CGColor;
    _cardView.layer.shadowOffset = CGSizeMake(0, 1);
    _cardView.layer.shadowOpacity = 0.2;
    _cardView.layer.shadowRadius = 1 ;
  
}
- (IBAction)btnClick:(UIButton *)sender {
    UILabel *lb = nil;
    switch (sender.tag) {
        case 200:
            lb = _lb_startDate;
            break;
        case 201:
        lb = _lb_endDate;
        break;
        case 202:
        lb = _lb_city;
        break;
        case 203:
        lb = _lb_type;
        break;
            
        default:
            break;
    }
    
    if (self.delegate && [self.delegate respondsToSelector:@selector(Btnclick:index:)]) {
        [self.delegate Btnclick:lb index:sender.tag];
    }
    
}


- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
